# Asterisk Project : Asterisk 13 Function_MESSAGE

Created by wikibot on Aug 08, 2014

# MESSAGE()

### Synopsis

Create a message or read fields from a message.

### Description

This function will read from or write a value to a text message. It is used both to read the data out of an incoming message, as well as modify or create a message that will be sent outbound.

### Syntax

    MESSAGE(argument)

##### Arguments

- `argument` - Field of the message to get or set.
  - `to` - Read-only. The destination of the message. When processing an incoming message, this will be set to the destination listed as the recipient of the message that was received by Asterisk.
  - `from` - Read-only. The source of the message. When processing an incoming message, this will be set to the source of the message.
  - `custom_data` - Write-only. Mark or unmark all message headers for an outgoing message. The following values can be set:
    - `mark_all_outbound` - Mark all headers for an outgoing message.
    - `clear_all_outbound` - Unmark all headers for an outgoing message.
  - `body` - Read/Write. The message body. When processing an incoming message, this includes the body of the message that Asterisk received. When MessageSend() is executed, the contents of this field are used as the body of the outgoing message. The body will always be UTF-8.

### See Also

- Asterisk 13 Application_MessageSend

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538